<?php
/**
 * @package    Proxim
 * @author     Davison Pro <davisonpro.coder@gmail.com | https://davisonpro.dev>
 * @copyright  2019 Proxim
 * @version    1.0.0
 * @since      File available since Release 1.0.0
 */

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'prox-bootstrap.php';

use Proxim\Tools;
use Proxim\Util\ArrayUtils;

$templateVars = array(
    'page' => [
        'title' => 'Class Help',
        'description' => 'Class Help'
    ],
    'app' => 'standalone-form',
    'target' => 'order',
    'orderformPurpose' => 'classHelp',
    'orderformValues' => array(
        'paperType' => 64,
        'paperTypeOption' => 'Class Help'
    )
);

$defaultCountry = array();
$cookie = $app->container->cookie;

$country_code = $cookie->country_code;
if ( $country_code ) {
    $countries = $globals['countries'];
    $country_code = Tools::strtolower($country_code);

    if ( ArrayUtils::has($countries, $country_code) ) {
        $country = ArrayUtils::get($countries, $country_code);
        $defaultCountry = array(
            "id" => $country_code,
            "name" => ArrayUtils::get($country, 'name'),
            "code" => ArrayUtils::get($country, 'code'),
            "phoneCode" => ArrayUtils::get($country, 'phoneCode')
        );
    } 
}

$templateVars = array_merge($templateVars, $defaultCountry);

$app->setVars($templateVars);

$app->setTemplate('classhelp');
$app->display();